/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
package org.ow2.petals.se.validation;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import javax.jbi.JBIException;
import javax.xml.validation.Schema;

import org.ow2.petals.component.framework.bc.AbstractBindingComponent;
import org.ow2.petals.component.framework.su.AbstractServiceUnitManager;
import org.ow2.petals.se.validation.su.SUManager;

/**
 * @author rnaudin
 * 
 */
public class ValidationComponent extends AbstractBindingComponent {

    private Map<String, Schema> schemas = new ConcurrentHashMap<String, Schema>();

    public Map<String, Schema> getSchemas() {
        return this.schemas;
    }

    @Override
    protected void doInit() throws JBIException {
        this.schemas = new ConcurrentHashMap<String, Schema>();
    }

    @Override
    protected void doShutdown() throws JBIException {
        this.schemas = null;
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * org.ow2.petals.component.framework.AbstractComponent#createServiceUnitManager
     * ()
     */
    @Override
    protected AbstractServiceUnitManager createServiceUnitManager() {
        return new SUManager(this);
    }

}
